name: netbird
services:
  netbird:
    image: netbirdio/netbird:0.62.3
    container_name: netbird
    network_mode: host
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
      - SYS_ADMIN
      - SYS_RESOURCE
    deploy:
      resources:
        reservations:
          memory: 128M
    environment:
      NB_SETUP_KEY: ""
      NB_MANAGEMENT_URL: ""
      NB_HOSTNAME: "Zima"
      NB_ENABLE_SSH_ROOT: "true"
      NB_ALLOW_SERVER_SSH: "true"
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID
        target: /var/lib/netbird
    x-casaos:
      envs:
        - container: NB_SETUP_KEY
          description:
            en_US: NetBird Setup Key (get from your dashboard at app.netbird.io or your self-hosted instance)
            en_GB: NetBird Setup Key (get from your dashboard at app.netbird.io or your self-hosted instance)
            zh_CN: NetBird 设置密钥（从 app.netbird.io 或您的自托管实例获取）
            ja_JP: NetBirdセットアップキー（app.netbird.ioまたはセルフホストインスタンスから取得）
        - container: NB_MANAGEMENT_URL
          description:
            en_US: NetBird Management URL (optional, for self-hosted instances)
            en_GB: NetBird Management URL (optional, for self-hosted instances)
            zh_CN: NetBird 管理 URL（可选，用于自托管实例）
            ja_JP: NetBird管理URL（オプション、セルフホストインスタンス用）
        - container: NB_HOSTNAME
          description:
            en_US: Hostname for this NetBird client
            en_GB: Hostname for this NetBird client
            zh_CN: 此 NetBird 客户端的主机名
            ja_JP: このNetBirdクライアントのホスト名
        - container: NB_ENABLE_SSH_ROOT
          description:
            en_US: Enable SSH access as root user
            en_GB: Enable SSH access as root user
            zh_CN: 启用 root 用户 SSH 访问
            ja_JP: rootユーザーでのSSHアクセスを有効にする
        - container: NB_ALLOW_SERVER_SSH
          description:
            en_US: Allow SSH server access through NetBird
            en_GB: Allow SSH server access through NetBird
            zh_CN: 允许通过 NetBird 访问 SSH 服务器
            ja_JP: NetBird経由のSSHサーバーアクセスを許可
      volumes:
        - container: /var/lib/netbird
          description:
            en_US: NetBird State Directory
            en_GB: NetBird State Directory
            zh_CN: NetBird 状态目录
            ja_JP: NetBird状態ディレクトリ
x-casaos:
  architectures:
    - amd64
    - arm64
  main: netbird
  category: Network
  developer: NetBird GmbH
  author: NetBird Team
  tagline:
    en_US: Connect your devices into a secure WireGuard®-based overlay network with SSO, MFA and granular access controls.
    en_GB: Connect your devices into a secure WireGuard®-based overlay network with SSO, MFA and granular access controls.
    zh_CN: 将设备连接到安全的 WireGuard® 覆盖网络，支持 SSO、MFA 和细粒度访问控制。
    ja_JP: SSO、MFA、きめ細かなアクセス制御を備えた安全なWireGuard®ベースのオーバーレイネットワークにデバイスを接続します。
  description:
    en_US: |
      NetBird combines a WireGuard®-based overlay network with Zero Trust Network Access, providing a unified open source platform for reliable and secure connectivity.

      - Secure Remote Access – Enable least privilege network access in a few clicks
      - Zero-Config Deployment – Replace legacy VPNs with a peer-to-peer WireGuard®-based network
      - Seamless SSO with MFA – Secure your network access with session-based SSO & MFA
      - Dynamic Posture Checks – Grant access only to devices meeting your security rules
      - Centralized Network Management – Control your private network from a single place
      - Detailed Activity Logging – Identify who did what, and when in your network

      **Learn More:**
      - [NetBird Website](https://netbird.io)
      - [Documentation](https://docs.netbird.io)
      - [Self-Hosting Guide](https://docs.netbird.io/selfhosted/selfhosted-quickstart)
      - [NetBird GitHub](https://github.com/netbirdio/netbird)
      - [Slack Community](https://docs.netbird.io/slack-url)
    en_GB: |
      NetBird combines a WireGuard®-based overlay network with Zero Trust Network Access, providing a unified open source platform for reliable and secure connectivity.

      - Secure Remote Access – Enable least privilege network access in a few clicks
      - Zero-Config Deployment – Replace legacy VPNs with a peer-to-peer WireGuard®-based network
      - Seamless SSO with MFA – Secure your network access with session-based SSO & MFA
      - Dynamic Posture Checks – Grant access only to devices meeting your security rules
      - Centralised Network Management – Control your private network from a single place
      - Detailed Activity Logging – Identify who did what, and when in your network

      **Learn More:**
      - [NetBird Website](https://netbird.io)
      - [Documentation](https://docs.netbird.io)
      - [Self-Hosting Guide](https://docs.netbird.io/selfhosted/selfhosted-quickstart)
      - [NetBird GitHub](https://github.com/netbirdio/netbird)
      - [Slack Community](https://docs.netbird.io/slack-url)
    zh_CN: |
      NetBird 将基于 WireGuard® 的覆盖网络与零信任网络访问相结合，提供一个统一的开源平台，实现可靠且安全的连接。

      - 安全远程访问 – 轻松实现最小权限网络访问
      - 零配置部署 – 使用点对点 WireGuard® 网络取代传统 VPN
      - 无缝 SSO 与 MFA – 通过基于会话的 SSO 和 MFA 保护网络访问
      - 动态 Posture 检查 – 仅允许符合安全规则的设备访问
      - 集中网络管理 – 从单一位置控制您的私有网络
      - 详细活动日志 – 识别网络中的操作者和操作时间

      **了解更多：**
      - [NetBird 官网](https://netbird.io)
      - [文档](https://docs.netbird.io)
      - [自托管指南](https://docs.netbird.io/selfhosted/selfhosted-quickstart)
      - [NetBird GitHub](https://github.com/netbirdio/netbird)
      - [Slack 社区](https://docs.netbird.io/slack-url)
    ja_JP: |
      NetBirdはWireGuard®ベースのオーバーレイネットワークとゼロトラストネットワークアクセスを組み合わせ、信頼性とセキュリティを備えた統合オープンソースプラットフォームを提供します。

      - 安全なリモートアクセス – 数回のクリックで最小権限ネットワークアクセスを有効化
      - ゼロ設定デプロイメント – ピアツーピアWireGuard®ベースネットワークでレガシーVPNを置き換え
      - シームレスなSSOとMFA – セッションベースのSSOとMFAでネットワークアクセスを保護
      - 動的ポスチャチェック – セキュリティルールを満たすデバイスにのみアクセスを許可
      - 集中ネットワーク管理 – 単一の場所からプライベートネットワークを制御
      - 詳細なアクティビティログ – ネットワーク内で誰が、いつ、何を行ったかを特定

      **詳細：**
      - [NetBird ウェブサイト](https://netbird.io)
      - [ドキュメント](https://docs.netbird.io)
      - [セルフホストガイド](https://docs.netbird.io/selfhosted/selfhosted-quickstart)
      - [NetBird GitHub](https://github.com/netbirdio/netbird)
      - [Slack コミュニティ](https://docs.netbird.io/slack-url)
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/NetBird/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/NetBird/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/NetBird/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/NetBird/screenshot-3.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/NetBird/thumbnail.png
  scheme: "https"
  hostname: "app.netbird.io"
  port_map: ""
  index: /
  title:
    en_US: NetBird
  tips:
    before_install:
      en_US: |
        ### Getting Started

        1. Visit your NetBird dashboard ([app.netbird.io](https://app.netbird.io) or your self-hosted instance) and log in or create a new account
        2. Navigate to the **Setup Keys** page
        3. Click **Create Setup Key** to create a new key
        4. Give your key a name (e.g., "Zima Server") and copy the generated setup key
        5. In ZimaOS, click the settings icon in the top-right corner of the app tile
        6. Paste the setup key in the **NB_SETUP_KEY** field
        7. (Optional) If using a self-hosted NetBird dashboard, enter the URL in **NB_MANAGEMENT_URL**
        8. (Optional) Customize the hostname in **NB_HOSTNAME** (default: Zima)
        9. Save and restart the app

        Your device will now appear in your NetBird dashboard and can connect to other devices in your mesh network.
      en_GB: |
        ### Getting Started

        1. Visit your NetBird dashboard ([app.netbird.io](https://app.netbird.io) or your self-hosted instance) and log in or create a new account
        2. Navigate to the **Setup Keys** page
        3. Click **Create Setup Key** to create a new key
        4. Give your key a name (e.g., "Zima Server") and copy the generated setup key
        5. In ZimaOS, click the settings icon in the top-right corner of the app tile
        6. Paste the setup key in the **NB_SETUP_KEY** field
        7. (Optional) If using a self-hosted NetBird dashboard, enter the URL in **NB_MANAGEMENT_URL**
        8. (Optional) Customise the hostname in **NB_HOSTNAME** (default: Zima)
        9. Save and restart the app

        Your device will now appear in your NetBird dashboard and can connect to other devices in your mesh network.
      zh_CN: |
        ### 入门

        1. 访问您的 NetBird 仪表板（[app.netbird.io](https://app.netbird.io) 或您的自托管实例）并登录或创建新账户
        2. 导航到 **Setup Keys** 页面
        3. 点击 **Create Setup Key** 创建新密钥
        4. 为您的密钥命名（例如"Zima Server"）并复制生成的设置密钥
        5. 在 ZimaOS 中，点击应用图块右上角的设置图标
        6. 在 **NB_SETUP_KEY** 字段中粘贴设置密钥
        7. （可选）如果使用自托管的 NetBird 仪表板，请在 **NB_MANAGEMENT_URL** 中输入 URL
        8. （可选）在 **NB_HOSTNAME** 中自定义主机名（默认：Zima）
        9. 保存并重启应用

        您的设备现在将出现在您的 NetBird 仪表板中，并可以连接到网格网络中的其他设备。
      ja_JP: |
        ### はじめに

        1. NetBirdダッシュボード（[app.netbird.io](https://app.netbird.io) またはセルフホストインスタンス）にアクセスしてログインまたは新規アカウントを作成
        2. **Setup Keys** ページに移動
        3. **Create Setup Key** をクリックして新しいキーを作成
        4. キーに名前を付け（例：「Zima Server」）、生成されたセットアップキーをコピー
        5. ZimaOSで、アプリタイルの右上にある設定アイコンをクリック
        6. **NB_SETUP_KEY** フィールドにセットアップキーを貼り付け
        7. （オプション）セルフホストの NetBird ダッシュボードを使用している場合、**NB_MANAGEMENT_URL** に URL を入力
        8. （オプション）**NB_HOSTNAME** でホスト名をカスタマイズ（デフォルト：Zima）
        9. 保存してアプリを再起動

        これでデバイスがNetBirdダッシュボードに表示され、メッシュネットワーク内の他のデバイスと接続できるようになります。